Issue #032 [WontFix/closed] - installation issue with raspian wheezy 2013-02-09-wheezy-raspbian

Posted by lolo8304

What steps will reproduce the problem?

  1. install newest
  2. upgrade and update components
  3. install webiopi ...

WebIOPi version used? => 0.5.3

Python version used? =>Python 2.7.3 (default, Jan 13 2013, 11:20:46) [GCC 4.6.3] on linux2

Distro used? (WebIOPi has only been tested on Raspbian Wheezy) =>2013-02-09-wheezy-raspbian

Raspberry Pi board revision? (1 or 2) => 2

For Javascript side bugs, Browser? =>not yet

Please provide any additional information below. setup.log attached

In file included from /usr/include/features.h:356:0, from /usr/include/limits.h:27, from /usr/lib/gcc/arm-linux-gnueabihf/4.6/include-fixed/limits.h:169, from /usr/lib/gcc/arm-linux-gnueabihf/4.6/include-fixed/syslimits.h:7, from /usr/lib/gcc/arm-linux-gnueabihf/4.6/include-fixed/limits.h:34, from /usr/include/python2.7/Python.h:19, from native/bridge.c:23: /usr/include/arm-linux-gnueabihf/sys/cdefs.h:1:1: error: stray ‘\4’ in program /usr/include/arm-linux-gnueabihf/sys/cdefs.h:1:2: error: expected identifier or ‘(’ before numeric constant /usr/include/arm-linux-gnueabihf/sys/cdefs.h:1:2: error: stray ‘\203’ in program /usr/include/arm-linux-gnueabihf/sys/cdefs.h:1:2: error: stray ‘\342’ in program /usr/include/arm-linux-gnueabihf/sys/cdefs.h:1:2: error: stray ‘\6’ in program /Build for Python 2.7.3 failed ....

Files attached

Comment 1

Posted by lolo8304

installed fresh again upgrade components installed webiopi

now its working ! sorry for confusing... probably due to messed up apt-get installed software dependencies

Comment 2

Posted by trouch